GDB (xrefs)

Public Attributes | List of all members
m68k_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | sp_offset
CORE_ADDR | pc
CORE_ADDR | saved_regs [M68K_NUM_REGS]
CORE_ADDR | saved_sp
long | locals

## Detailed Description

Definition at line 571 of file m68k-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR m68k_frame_cache::base

Definition at line 574 of file m68k-tdep.c.

Referenced by m68k_alloc_frame_cache(), m68k_frame_base_address(), m68k_frame_cache(), and m68k_frame_this_id().

## ◆ locals

long m68k_frame_cache::locals

Definition at line 583 of file m68k-tdep.c.

Referenced by m68k_alloc_frame_cache(), m68k_analyze_frame_setup(), m68k_analyze_register_saves(), m68k_frame_cache(), and m68k_skip_prologue().

## ◆ pc

CORE_ADDR m68k_frame_cache::pc

Definition at line 576 of file m68k-tdep.c.

Referenced by m68k_alloc_frame_cache(), m68k_analyze_frame_setup(), m68k_analyze_prologue(), m68k_analyze_register_saves(), m68k_frame_cache(), m68k_frame_this_id(), and m68k_skip_prologue().

## ◆ saved_regs

CORE_ADDR m68k_frame_cache::saved_regs[M68K_NUM_REGS]

Definition at line 579 of file m68k-tdep.c.

Referenced by m68k_alloc_frame_cache(), m68k_analyze_frame_setup(), m68k_analyze_register_saves(), m68k_frame_cache(), and m68k_frame_prev_register().

## ◆ saved_sp

CORE_ADDR m68k_frame_cache::saved_sp

Definition at line 580 of file m68k-tdep.c.

Referenced by m68k_frame_cache(), and m68k_frame_prev_register().

## ◆ sp_offset

CORE_ADDR m68k_frame_cache::sp_offset

Definition at line 575 of file m68k-tdep.c.

Referenced by m68k_alloc_frame_cache(), m68k_analyze_frame_setup(), and m68k_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/m68k-tdep.c